package com.sun.jmx.snmp;

import java.io.Serializable;

public abstract class SnmpScopedPduPacket extends SnmpPdu implements Serializable
{
    public int msgMaxSize;
    public int msgId;
    public byte msgFlags;
    public int msgSecurityModel;
    public byte[] contextEngineId;
    public byte[] contextName;
    public SnmpSecurityParameters securityParameters;
    
    protected SnmpScopedPduPacket() {
        this.msgMaxSize = 0;
        this.msgId = 0;
        this.msgFlags = 0;
        this.msgSecurityModel = 0;
        this.contextEngineId = null;
        this.contextName = null;
        this.securityParameters = null;
        this.version = 3;
    }
}
